# eric6.PipInterface.PipPackagesInputDialog

Module implementing a dialog to enter package specifications.

### Global Attributes

None

### Classes

PipPackagesInputDialog | Class implementing a dialog to enter package specifications.

### Functions

None

## PipPackagesInputDialog

Class implementing a dialog to enter package specifications.

### Derived from

QDialog, Ui_PipPackagesInputDialog

### Class Attributes

None

### Class Methods

None

### Methods

PipPackagesInputDialog | Constructor
getData | Public method to get the entered data.
on_packagesEdit_textChanged | Private slot handling entering package names.

### Static Methods

None

#### PipPackagesInputDialog (Constructor)

PipPackagesInputDialog(pip, title, install=True, parent=None)

Constructor

pip (Pip)
  reference to the pip object
title (str)
  dialog title
install (bool)
  flag indicating an install action
parent (QWidget)
  reference to the parent widget

#### PipPackagesInputDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple with the list of package specifications and a flag indicating to install to the user install directory

Return Type:
  tuple of (list of str, bool)

#### PipPackagesInputDialog.on_packagesEdit_textChanged

on_packagesEdit_textChanged(txt)

Private slot handling entering package names.

txt (str)
  name of the requirements file

Up